=== GA/Makefile ===
# **************************************************************************
# Fichero makefile.
# --------------------------------------------------------------------------
# Licencia GPL. Juan Gonzalez Gomez
# --------------------------------------------------------------------------
#
#***************************************************************************

#---- Compilador
CC = g++
CPPFLAGS = -Wall -Iinclude -I../drawstuff/include -I../Rtk/include  \
           -Dlinux -DWL=32 -DFORTRANUNDERSCORE -DOPTIMIZE -DFAKE_MPI
LIB = -lm -lode 
LIB3D = $(LIB) -lX11 -lGL -lGLU

LIBRTK= ../Rtk/libRtk.a
LIBRTK3D= ../Rtk/libRtk3D.a
LIBDS=  ../drawstuff/libdrawstuff.a

#------------
#- libpgaO
#------------
NAME1=libpgaO.a
DEP1= pgapack/binary.o pgapack/char.o pgapack/cmdline.o    pgapack/create.o   \
      pgapack/cross.o  pgapack/debug.o pgapack/duplcate.o  pgapack/evaluate.o \
      pgapack/f2c.o    pgapack/fitness.o  pgapack/heap.o   pgapack/integer.o  \
      pgapack/mpi_stub.o pgapack/mutation.o pgapack/parallel.o pgapack/pga.o  \
      pgapack/pop.o    pgapack/random.o  pgapack/real.o  pgapack/report.o     \
      pgapack/restart.o pgapack/select.o pgapack/stop.o  pgapack/system.o     \
      pgapack/user.o   pgapack/utility.o 
      

#-----------------
#-- GA
#-----------------
NAME2= GA
DEP2= GA-utils/$(NAME2).o GA-utils/chromosome.o libpgaO.a



all: $(NAME1) $(NAME2)

  
#---------------------------
#       OBJETIVOS
#---------------------------
$(NAME1): $(DEP1)
	    ar ruv $(NAME1) $(DEP1)
	    ranlib $(NAME1)

clean::
	  rm -f $(NAME1) $(DEP1) *.bak *~

$(NAME2): $(DEP2)
	    $(CC) -o $@ $(DEP2) $(LIBRTK)  $(LIB)
			
clean::
	  rm -f $(NAME2) $(DEP2) *.bak *~


#ar ruv ../lib/linux/libpgaO.a ../lib/linux/binary.o ../lib/linux/char.o #../lib/linux/cmdline.o ../lib/linux/create.o ../lib/linux/cross.o #../lib/linux/debug.o ../lib/linux/duplcate.o ../lib/linux/evaluate.o #../lib/linux/fitness.o ../lib/linux/hamming.o ../lib/linux/heap.o #../lib/linux/integer.o ../lib/linux/mutation.o ../lib/linux/parallel.o #../lib/linux/pga.o ../lib/linux/pop.o ../lib/linux/random.o ../lib/linux/real.o #../lib/linux/report.o ../lib/linux/restart.o ../lib/linux/select.o #../lib/linux/stop.o ../lib/linux/system.o ../lib/linux/user.o #../lib/linux/utility.o ../lib/linux/f2c.o ../lib/linux/mpi_stub.o

#ranlib ../lib/linux/libpgaO.a

#cc -o ../lib/linux/f2c.o -c -O  #-I/home/juan/desarrollo/pgapack-test/pgapack-1.0.0.1/include -Dlinux -DWL=32 #-DFORTRANUNDERSCORE -DOPTIMIZE -DFAKE_MPI  f2c.c
