=== Rtk/Makefile ===
# **************************************************************************
# Fichero makefile.
# --------------------------------------------------------------------------
# Licencia GPL. Juan Gonzalez Gomez
# --------------------------------------------------------------------------
#
#***************************************************************************

#---- Compilador
CC = g++
CPPFLAGS = -Wall -Iinclude -I../drawstuff/include
LIB = -lm -lode 
LIB3D = $(LIB) -lX11 -lGL -lGLU

RTK_DEP = src/Rtk-Y1Module.o         src/Rtk-Robot.o                      \
          src/Rtk-Chain.o            src/Rtk-Simulation-Engine.o          \
          src/Rtk-Robot-Group.o      src/Rtk-PP.o                         \
          src/Rtk-Sampled-Function.o src/Rtk-Fitness.o                    \
          src/Rtk-Generator.o        src/T1D.o

RTK3D_DEP = src/Rtk-3D.o


#-- Ejemplos de prueba
NAME1= test-modulo-teclas
DEP1 = test/$(NAME1).o libRtk3D.a libRtk.a

NAME2= test-robots
DEP2 = test/$(NAME2).o libRtk3D.a libRtk.a

NAME3= test1
DEP3= test/$(NAME3).o libRtk3D.a libRtk.a

NAME4= test2
DEP4= test/$(NAME4).o libRtk3D.a libRtk.a

all: $(NAME1) $(NAME2) $(NAME3) $(NAME4)

  
#---------------------------
#       OBJETIVOS
#---------------------------
libRtk.a : $(RTK_DEP)
	    ar rc libRtk.a $(RTK_DEP)
      
clean::
	  rm -f libRtk.a $(RTK_DEP) *.bak *~


libRtk3D.a : $(RTK3D_DEP)
	           ar rc libRtk3D.a src/Rtk-3D.o 
clean::
	  rm -f libRtk3D.a $(RTK3D_DEP) *.bak *~             


#------------------------------
$(NAME1): $(DEP1)
	    $(CC) -o $@ $(DEP1) ../drawstuff/libdrawstuff.a $(LIB3D) 
			
clean::
	  rm -f $(NAME1) $(DEP1) *.bak *~

#------------------------------
$(NAME2): $(DEP2)
	    $(CC) -o $@ $(DEP2) ../drawstuff/libdrawstuff.a $(LIB3D) 
			
clean::
	  rm -f $(NAME2) $(DEP2) *.bak *~
    
#------------------------------
$(NAME3): $(DEP3)
	    $(CC) -o $@ $(DEP3) ../drawstuff/libdrawstuff.a $(LIB3D) 
			
clean::
	  rm -f $(NAME3) $(DEP3) *.bak *~    
    
#------------------------------
$(NAME4): $(DEP4)
	    $(CC) -o $@ $(DEP4) ../drawstuff/libdrawstuff.a $(LIB3D) 
			
clean::
	  rm -f $(NAME4) $(DEP4) *.bak *~
