=== adc/Makefile ===
# AVR-GCC Makefile
SOURCES=main.c printf-UART.c
CC=avr-gcc
OBJCOPY=avr-objcopy
MMCU=atmega168

CFLAGS=-g -mmcu=atmega168 -Wall

main.hex: main.out
	$(OBJCOPY) -O ihex main.out main.hex

main.out: $(SOURCES)
	$(CC) $(CFLAGS) -Os $(SOURCES) -o main.out 

burn: main.hex
	avrdude -p atmega168 -c stk500v1 -P/dev/ttyUSB0 -b19200 -D -Uflash:w:main.hex
clean:
	rm -f main.out
	rm -f main.hex
terminal:
	echo "Opening /dev/ttyUSB0. To exit, use Ctrl-a k"
	sleep 2
	screen /dev/ttyUSB0
