=== helloWorld/Makefile ===
# AVR-GCC Makefile
SOURCES=main.c
CC=avr-gcc
OBJCOPY=avr-objcopy
MMCU=atmega168

CFLAGS=-mmcu=$(MMCU) -Wall

main.hex: main.out
	$(OBJCOPY) -j .text -O ihex main.out main.hex

main.out: $(SOURCES)
	$(CC) $(CFLAGS) -Wall -o main.out $(SOURCES)

burn: main.hex
	avrdude  -q -patmega168 -cstk500v1 -P/dev/ttyUSB0 -b19200 -D -Uflash:w:main.hex
clean:
	rm -f main.out
	rm -f main.hex
