=== robot/Makefile ===
# **************************************************************************
# Fichero makefile.
# --------------------------------------------------------------------------
# Licencia GPL. Juan Gonzalez Gomez
# --------------------------------------------------------------------------
#
#***************************************************************************

#---- Compilador
CC = g++
CPPFLAGS = -Wall -Iinclude -I../drawstuff/include -I../Rtk/include
LIB = -lm -lode 
LIB3D = $(LIB) -lX11 -lGL -lGLU

LIBRTK= ../Rtk/libRtk.a
LIBRTK3D= ../Rtk/libRtk3D.a
LIBDS=  ../drawstuff/libdrawstuff.a

#-----------------
#-- libio
#-----------------
NAME1= libio.a
DEP1= io/consola_io.o io/sg-serial.o io/sg-tramas.o io/sg-tramas-servos8.o


#---------------
#--  Play
#---------------
NAME2= Play
DEP2 = play/$(NAME2).o libio.a

NAME3= Play-file
DEP3 = play/$(NAME3).o libio.a

NAME4= Play-3D
DEP4 = play/$(NAME4).o libio.a

#--------------
#-- Demos
#--------------
NAME5= Demo-cube-rev
DEP5=  Demos/$(NAME5).o libio.a

NAME6= Demo-hypercube
DEP6=  Demos/$(NAME6).o libio.a

NAME7= Demo-PP
DEP7=  Demos/$(NAME7).o libio.a

NAME8= Demo-PYP
DEP8=  Demos/$(NAME8).o libio.a


all: $(NAME1) $(NAME2) $(NAME3) $(NAME4) $(NAME5) $(NAME6) $(NAME7) $(NAME8)

  
#---------------------------
#       OBJETIVOS
#---------------------------
$(NAME1): $(DEP1)
	    ar rc $(NAME1) $(DEP1)
			
clean::
	  rm -f $(NAME1) $(DEP1) *.bak *~
    
#--------------    
$(NAME2): $(DEP2)
	    $(CC) -o $@ $(DEP2) $(LIBRTK) $(LIB)
			
clean::
	  rm -f $(NAME2) $(DEP2) *.bak *~

#--------------    
$(NAME3): $(DEP3)
	    $(CC) -o $@ $(DEP3) $(LIBRTK) $(LIB)
			
clean::
	  rm -f $(NAME3) $(DEP3) *.bak *~


#--------------    
$(NAME4): $(DEP4)
	    $(CC) -o $@ $(DEP4) $(LIBRTK3D) $(LIBRTK) $(LIBDS) $(LIB) $(LIB3D)
			
clean::
	  rm -f $(NAME4) $(DEP4) *.bak *~
    
#--------------    
$(NAME5): $(DEP5)
	    $(CC) -o $@ $(DEP5) $(LIBRTK3D) $(LIBRTK) $(LIBDS) $(LIB) $(LIB3D)
			
clean::
	  rm -f $(NAME5) $(DEP5) *.bak *~
    
#--------------    
$(NAME6): $(DEP6)
	    $(CC) -o $@ $(DEP6) $(LIBRTK3D) $(LIBRTK) $(LIBDS) $(LIB) $(LIB3D)
			
clean::
	  rm -f $(NAME6) $(DEP6) *.bak *~
    
#--------------    
$(NAME7): $(DEP7)
	    $(CC) -o $@ $(DEP7) $(LIBRTK3D) $(LIBRTK) $(LIBDS) $(LIB) $(LIB3D)
			
clean::
	  rm -f $(NAME7) $(DEP7) *.bak *~
    
#--------------    
$(NAME8): $(DEP8)
	    $(CC) -o $@ $(DEP8) $(LIBRTK3D) $(LIBRTK) $(LIBDS) $(LIB) $(LIB3D)
			
clean::
	  rm -f $(NAME8) $(DEP8) *.bak *~
