=== tools/Makefile ===
# **************************************************************************
# Fichero makefile.
# --------------------------------------------------------------------------
# Licencia GPL. Juan Gonzalez Gomez
# --------------------------------------------------------------------------
#
#***************************************************************************

#---- Compilador
CC = g++
CPPFLAGS = -Wall -Iinclude -I../drawstuff/include -I../Rtk/include
LIB = -lm -lode 
LIB3D = $(LIB) -lX11 -lGL -lGLU

LIBRTK= ../Rtk/libRtk.a
LIBRTK3D= ../Rtk/libRtk3D.a
LIBDS=  ../drawstuff/libdrawstuff.a

#---------------
#--  Utils
#---------------
NAME1= Pn
DEP1 = utils/$(NAME1).o

NAME2= PYn
DEP2 = utils/$(NAME2).o

NAME12 = Yn
DEP12 = utils/$(NAME12).o

NAME3= sin2file
DEP3 = utils/$(NAME3).o

#------------
#-- View
#------------
NAME4= View
DEP4 = view/$(NAME4).o

NAME5= View-fitness
DEP5 = view/$(NAME5).o

NAME6= View-file
DEP6 = view/$(NAME6).o

NAME7= View-file-fitness
DEP7 = view/$(NAME7).o


#------------------
#-- Osciloscope
#------------------
NAME8= Osciloscopio-file
DEP8 = osciloscope/$(NAME8).o

NAME9= Osciloscopio
DEP9= osciloscope/$(NAME9).o

#------------------
#-- Range
#------------------
NAME10= Range_Pn
DEP10= range/$(NAME10).o

NAME11= Range_PYn
DEP11= range/$(NAME11).o


all: $(NAME1) $(NAME2) $(NAME3) $(NAME4) $(NAME5) $(NAME6) $(NAME7) $(NAME8) \
     $(NAME9) $(NAME10) $(NAME11) $(NAME12)

  
#---------------------------
#       OBJETIVOS
#---------------------------
$(NAME1): $(DEP1)
	    $(CC) -o $@ $(DEP1)  
			
clean::
	  rm -f $(NAME1) $(DEP1) *.bak *~

#-------------------
$(NAME2): $(DEP2)
	    $(CC) -o $@ $(DEP2)  
			
clean::
	  rm -f $(NAME2) $(DEP2) *.bak *~

#-------------------
$(NAME3): $(DEP3)
	    $(CC) -o $@ $(DEP3)  $(LIBRTK) $(LIBDS) $(LIB)
			
clean::
	  rm -f $(NAME3) $(DEP3) *.bak *~

#-------------------
$(NAME4): $(DEP4)
	    $(CC) -o $@ $(DEP4)  $(LIBRTK3D) $(LIBRTK) $(LIBDS) $(LIB) $(LIB3D)
			
clean::
	  rm -f $(NAME4) $(DEP4) *.bak *~
    
#-------------------
$(NAME5): $(DEP5)
	    $(CC) -o $@ $(DEP5)  $(LIBRTK3D) $(LIBRTK) $(LIBDS) $(LIB) $(LIB3D)
			
clean::
	  rm -f $(NAME5) $(DEP5) *.bak *~   
    
    
#-------------------
$(NAME6): $(DEP6)
	    $(CC) -o $@ $(DEP6)  $(LIBRTK3D) $(LIBRTK) $(LIBDS) $(LIB) $(LIB3D)
			
clean::
	  rm -f $(NAME6) $(DEP6) *.bak *~   
    
#-------------------
$(NAME7): $(DEP7)
	    $(CC) -o $@ $(DEP7)  $(LIBRTK3D) $(LIBRTK) $(LIBDS) $(LIB) $(LIB3D)
			
clean::
	  rm -f $(NAME7) $(DEP7) *.bak *~

#-------------------
$(NAME8): $(DEP8)
	    $(CC) -o $@ $(DEP8)  $(LIBRTK3D) $(LIBRTK) $(LIBDS) $(LIB) $(LIB3D)
			
clean::
	  rm -f $(NAME8) $(DEP8) *.bak *~
    
#-------------------
$(NAME9): $(DEP9)
	    $(CC) -o $@ $(DEP9)  $(LIBRTK3D) $(LIBRTK) $(LIBDS) $(LIB) $(LIB3D)
			
clean::
	  rm -f $(NAME9) $(DEP9) *.bak *~
    
    
#-------------------
$(NAME10): $(DEP10)
	    $(CC) -o $@ $(DEP10)  $(LIBRTK) $(LIB)
			
clean::
	  rm -f $(NAME10) $(DEP10) *.bak *~
    
#-------------------
$(NAME11): $(DEP11)
	    $(CC) -o $@ $(DEP11)  $(LIBRTK) $(LIB)
			
clean::
	  rm -f $(NAME11) $(DEP11) *.bak *~

#--------------
$(NAME12): $(DEP12)
	    $(CC) -o $@ $(DEP12)  
			
clean::
	  rm -f $(NAME12) $(DEP12) *.bak *~
