=== debian/changelog ===
pydownloader-wx (1.0-2) unstable; urgency=low

  * Cambiadas dependencias: ahora se pone que dependa de python y no
    de python2.4 para que funcione bien en Ubuntu

 -- juan <juan@Roma.local.lan>  Mon, 24 Sep 2007 13:11:50 +0200

pydownloader-wx (1.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Juan Gonzalez <juan@iearobotics.com>  Sat, 22 Sep 2007 09:53:46 +0200
