=== debian/control ===
Source: pydownloader-gtk
Section: electronics
Priority: optional
Maintainer: Juan Gonzalez <juan@iearobotics.com>
Build-Depends: cdbs, cdbs, debhelper (>= 5)
Standards-Version: 3.7.2
XS-Python-Version: all

Package: pydownloader-gtk
Architecture: any
Depends: ${python:Depends}, python-libiris, python-gtk2
Description: Descarga de programas en la tarjeta Skypic
 Aplicacion para descargar ficheros .hex y firmware predefinido en la 
 tarjeta Skypic. El PIC_BOOTloader debe estar previamente grabado.
 Version grafica basada en las PyGTK
